using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace SFI.COMM.ENTITY
{

    [DefaultProperty("Data")]
    public class ObjectResult<T>
    {
        public bool Success { get; set; }
        public string Code { get; set; }
        public string Message { get; set; }
        public string StatusKey { get; set; }
        public T Data { get; set; }

        public static implicit operator T(ObjectResult<T> _res)
        {
            return _res.Data;
        }
    }
}
